<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/entities/basebuilding/misc/deployable/expansionbarbedwire.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d23/a00326_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionbarbedwire.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/d23/a00326.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionBarbedWire.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">/**@class       ExpansionBarbedWire</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @brief       </span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> **/</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../dd/df6/a03713.html">   16</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dd/df6/a03713.html">ExpansionBarbedWire</a>: <a class="code hl_class" href="../../d9/da3/a03673.html">ExpansionBaseBuilding</a> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../dd/df6/a03713.html#a627027e96d52a9831ffff4591ef3e242">   18</a></span>    <span class="keyword">protected</span> ref AreaDamageLoopedDeferred_NoVehicle <a class="code hl_variable" href="../../dd/df6/a03713.html#a627027e96d52a9831ffff4591ef3e242">m_AreaDamage</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="comment">// Constructor</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../dd/df6/a03713.html#a4625a4b6b8a43c5400adbe432bca887d">   23</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/df6/a03713.html#a4625a4b6b8a43c5400adbe432bca887d">ExpansionBarbedWire</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    <span class="comment">// Destructor</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../dd/df6/a03713.html#acc46516548a8a119c1b72a1143d22028">   30</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/df6/a03713.html#acc46516548a8a119c1b72a1143d22028">~ExpansionBarbedWire</a>()</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_function" href="../../dd/df6/a03713.html#a0078128dbd37180651bb9819b94a76f6">DestroyDamageTrigger</a>();</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    <span class="comment">// Override EOnInit</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../dd/df6/a03713.html#aecfc49269a23826ad1f7b6b32f1eb32d">   38</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/df6/a03713.html#aecfc49269a23826ad1f7b6b32f1eb32d">EOnInit</a>( IEntity other, <span class="keywordtype">int</span> extra)</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">if</span> ( GetGame().IsServer() )</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            GetGame().GetCallQueue( CALL_CATEGORY_GAMEPLAY ).CallLater( <a class="code hl_function" href="../../dd/df6/a03713.html#a1561205234f8d852a83b1beb96ea7d33">CreateDamageTrigger</a>, 100, <span class="keyword">false</span> );</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <span class="comment">// CanPutIntoHands</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../dd/df6/a03713.html#a010bca4c90fd6ba82eff01b121dacf39">   49</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/df6/a03713.html#a010bca4c90fd6ba82eff01b121dacf39">CanPutIntoHands</a>(EntityAI parent)</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    <span class="comment">// CanPutInCargo</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../dd/df6/a03713.html#a8c3bb580b3abf3706c30b0d8d5257128">   57</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/df6/a03713.html#a8c3bb580b3abf3706c30b0d8d5257128">CanPutInCargo</a> (EntityAI parent)</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../dd/df6/a03713.html#a0de473225860759f8da916f5dd086680">   62</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/df6/a03713.html#a0de473225860759f8da916f5dd086680">CanObstruct</a>()</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    <span class="comment">// GetConstructionKitType</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="../../dd/df6/a03713.html#a4e527ec35b6eb1e11c471da5ec50646c">   70</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../dd/df6/a03713.html#a4e527ec35b6eb1e11c471da5ec50646c">GetConstructionKitType</a>()</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;ExpansionBarbedWireKit&quot;</span>;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../dd/df6/a03713.html#a1561205234f8d852a83b1beb96ea7d33">   75</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/df6/a03713.html#a1561205234f8d852a83b1beb96ea7d33">CreateDamageTrigger</a>()</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <a class="code hl_function" href="../../dd/df6/a03713.html#a0078128dbd37180651bb9819b94a76f6">DestroyDamageTrigger</a>();</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <a class="code hl_variable" href="../../dd/df6/a03713.html#a627027e96d52a9831ffff4591ef3e242">m_AreaDamage</a> = <span class="keyword">new</span> AreaDamageLoopedDeferred_NoVehicle( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <a class="code hl_variable" href="../../dd/df6/a03713.html#a627027e96d52a9831ffff4591ef3e242">m_AreaDamage</a>.SetDamageComponentType( AreaDamageComponentTypes.HITZONE );</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <a class="code hl_variable" href="../../dd/df6/a03713.html#a627027e96d52a9831ffff4591ef3e242">m_AreaDamage</a>.SetExtents( <span class="stringliteral">&quot;-2.96 0 -0.77&quot;</span>, <span class="stringliteral">&quot;2.97 1.36 0.74&quot;</span> );</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <a class="code hl_variable" href="../../dd/df6/a03713.html#a627027e96d52a9831ffff4591ef3e242">m_AreaDamage</a>.SetLoopInterval( 1.0 );</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <a class="code hl_variable" href="../../dd/df6/a03713.html#a627027e96d52a9831ffff4591ef3e242">m_AreaDamage</a>.SetDeferDuration( 0.2 );</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <a class="code hl_variable" href="../../dd/df6/a03713.html#a627027e96d52a9831ffff4591ef3e242">m_AreaDamage</a>.SetHitZones( { <span class="stringliteral">&quot;Torso&quot;</span>,<span class="stringliteral">&quot;LeftHand&quot;</span>,<span class="stringliteral">&quot;LeftLeg&quot;</span>,<span class="stringliteral">&quot;LeftFoot&quot;</span>,<span class="stringliteral">&quot;RightHand&quot;</span>,<span class="stringliteral">&quot;RightLeg&quot;</span>,<span class="stringliteral">&quot;RightFoot&quot;</span> } );</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <a class="code hl_variable" href="../../dd/df6/a03713.html#a627027e96d52a9831ffff4591ef3e242">m_AreaDamage</a>.SetAmmoName( <span class="stringliteral">&quot;BarbedWireHit&quot;</span> );</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <a class="code hl_variable" href="../../dd/df6/a03713.html#a627027e96d52a9831ffff4591ef3e242">m_AreaDamage</a>.Spawn();</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="../../dd/df6/a03713.html#a0078128dbd37180651bb9819b94a76f6">   89</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/df6/a03713.html#a0078128dbd37180651bb9819b94a76f6">DestroyDamageTrigger</a>()</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    {</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../dd/df6/a03713.html#a627027e96d52a9831ffff4591ef3e242">m_AreaDamage</a> )</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            <a class="code hl_variable" href="../../dd/df6/a03713.html#a627027e96d52a9831ffff4591ef3e242">m_AreaDamage</a>.Destroy();</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    <span class="comment">// CanBeDamaged</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="../../dd/df6/a03713.html#abda8c675a69f38d3ae5ef426d1f58f85">  100</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/df6/a03713.html#abda8c675a69f38d3ae5ef426d1f58f85">CanBeDamaged</a>()</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    {</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    }</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span> </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="../../dd/df6/a03713.html#a7fcde56a365687c3a9e028fb7a160f82">  105</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/df6/a03713.html#a7fcde56a365687c3a9e028fb7a160f82">SetPartsAfterStoreLoad</a>()</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    {<span class="comment"></span></div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span><span class="comment">        //! No-op - needs to be here to avoid NULL pointers</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span><span class="comment"></span>    }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span> </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    <span class="comment">// EEKilled</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno"><a class="line" href="../../dd/df6/a03713.html#a9c78ac165eaf2ca3ed2a779e4622810f">  113</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/df6/a03713.html#a9c78ac165eaf2ca3ed2a779e4622810f">EEKilled</a>( Object killer )</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    {</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <span class="keywordtype">bool</span> canRaidBarbedWire = <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d3/d0c/a03381.html#a90aa88355f8969f63d50b5f97c9b9d39">CanRaidBarbedWire</a>;</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span> </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <span class="keywordflow">if</span> ( !canRaidBarbedWire )</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        super.EEKilled( killer );</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    }</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno"><a class="line" href="../../dd/df6/a03713.html#a6959233bb0d9c4941b50380b2842f44b">  123</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/df6/a03713.html#a6959233bb0d9c4941b50380b2842f44b">ExpansionOnDestroyed</a>( Object killer )</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    {</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <span class="keywordflow">if</span> ( !IsDamageDestroyed() )  <span class="comment">//! When called by ExpansionActionDestroyBarbedWire health is at 1%, set health to 0 so EEKilled is called (destroy sound)</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>            SetHealth( 0 );</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span> </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <span class="comment">//TODO: Maybe spawn wire as replacement?</span></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        <span class="keywordflow">if</span> ( !ToDelete() )</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>            Delete();</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    }</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno"><a class="line" href="../../dd/df6/a03713.html#a2c2eaf2dc5ba1a88f09d1ac6c34de786">  133</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../dd/df6/a03713.html#a2c2eaf2dc5ba1a88f09d1ac6c34de786">GetDestroySound</a>()</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    {       </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;putDown_BarbedWire_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    }</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>}</div>
<div class="ttc" id="aa03377_html_af1efd09a45029d622fbbdb9eee9c0c9a"><div class="ttname"><a href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">ExpansionSettings::GetRaid</a></div><div class="ttdeci">ExpansionRaidSettings GetRaid(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5d/a08415_source.html#l00069">expansionsettings.c:69</a></div></div>
<div class="ttc" id="aa03381_html_a90aa88355f8969f63d50b5f97c9b9d39"><div class="ttname"><a href="../../d3/d0c/a03381.html#a90aa88355f8969f63d50b5f97c9b9d39">ExpansionRaidSettingsBase::CanRaidBarbedWire</a></div><div class="ttdeci">bool CanRaidBarbedWire</div><div class="ttdoc">Total damage dealt to tool over time (100 = tool will be in ruined state after all cycles finished)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d41/a00038_source.html#l00030">expansionraidsettings.c:30</a></div></div>
<div class="ttc" id="aa03673_html"><div class="ttname"><a href="../../d9/da3/a03673.html">ExpansionBaseBuilding</a></div><div class="ttdoc">This class handle base class of expansion basebuilding</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd8/a08565_source.html#l00016">expansionbasebuilding.c:17</a></div></div>
<div class="ttc" id="aa03713_html"><div class="ttname"><a href="../../dd/df6/a03713.html">ExpansionBarbedWire</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a00326_source.html#l00016">expansionbarbedwire.c:17</a></div></div>
<div class="ttc" id="aa03713_html_a0078128dbd37180651bb9819b94a76f6"><div class="ttname"><a href="../../dd/df6/a03713.html#a0078128dbd37180651bb9819b94a76f6">ExpansionBarbedWire::DestroyDamageTrigger</a></div><div class="ttdeci">void DestroyDamageTrigger()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a00326_source.html#l00089">expansionbarbedwire.c:89</a></div></div>
<div class="ttc" id="aa03713_html_a010bca4c90fd6ba82eff01b121dacf39"><div class="ttname"><a href="../../dd/df6/a03713.html#a010bca4c90fd6ba82eff01b121dacf39">ExpansionBarbedWire::CanPutIntoHands</a></div><div class="ttdeci">override bool CanPutIntoHands(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a00326_source.html#l00049">expansionbarbedwire.c:49</a></div></div>
<div class="ttc" id="aa03713_html_a0de473225860759f8da916f5dd086680"><div class="ttname"><a href="../../dd/df6/a03713.html#a0de473225860759f8da916f5dd086680">ExpansionBarbedWire::CanObstruct</a></div><div class="ttdeci">override bool CanObstruct()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a00326_source.html#l00062">expansionbarbedwire.c:62</a></div></div>
<div class="ttc" id="aa03713_html_a1561205234f8d852a83b1beb96ea7d33"><div class="ttname"><a href="../../dd/df6/a03713.html#a1561205234f8d852a83b1beb96ea7d33">ExpansionBarbedWire::CreateDamageTrigger</a></div><div class="ttdeci">void CreateDamageTrigger()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a00326_source.html#l00075">expansionbarbedwire.c:75</a></div></div>
<div class="ttc" id="aa03713_html_a2c2eaf2dc5ba1a88f09d1ac6c34de786"><div class="ttname"><a href="../../dd/df6/a03713.html#a2c2eaf2dc5ba1a88f09d1ac6c34de786">ExpansionBarbedWire::GetDestroySound</a></div><div class="ttdeci">override protected string GetDestroySound()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a00326_source.html#l00133">expansionbarbedwire.c:133</a></div></div>
<div class="ttc" id="aa03713_html_a4625a4b6b8a43c5400adbe432bca887d"><div class="ttname"><a href="../../dd/df6/a03713.html#a4625a4b6b8a43c5400adbe432bca887d">ExpansionBarbedWire::ExpansionBarbedWire</a></div><div class="ttdeci">void ExpansionBarbedWire()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a00326_source.html#l00023">expansionbarbedwire.c:23</a></div></div>
<div class="ttc" id="aa03713_html_a4e527ec35b6eb1e11c471da5ec50646c"><div class="ttname"><a href="../../dd/df6/a03713.html#a4e527ec35b6eb1e11c471da5ec50646c">ExpansionBarbedWire::GetConstructionKitType</a></div><div class="ttdeci">override string GetConstructionKitType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a00326_source.html#l00070">expansionbarbedwire.c:70</a></div></div>
<div class="ttc" id="aa03713_html_a627027e96d52a9831ffff4591ef3e242"><div class="ttname"><a href="../../dd/df6/a03713.html#a627027e96d52a9831ffff4591ef3e242">ExpansionBarbedWire::m_AreaDamage</a></div><div class="ttdeci">protected ref AreaDamageLoopedDeferred_NoVehicle m_AreaDamage</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a00326_source.html#l00018">expansionbarbedwire.c:18</a></div></div>
<div class="ttc" id="aa03713_html_a6959233bb0d9c4941b50380b2842f44b"><div class="ttname"><a href="../../dd/df6/a03713.html#a6959233bb0d9c4941b50380b2842f44b">ExpansionBarbedWire::ExpansionOnDestroyed</a></div><div class="ttdeci">override void ExpansionOnDestroyed(Object killer)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a00326_source.html#l00123">expansionbarbedwire.c:123</a></div></div>
<div class="ttc" id="aa03713_html_a7fcde56a365687c3a9e028fb7a160f82"><div class="ttname"><a href="../../dd/df6/a03713.html#a7fcde56a365687c3a9e028fb7a160f82">ExpansionBarbedWire::SetPartsAfterStoreLoad</a></div><div class="ttdeci">override void SetPartsAfterStoreLoad()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a00326_source.html#l00105">expansionbarbedwire.c:105</a></div></div>
<div class="ttc" id="aa03713_html_a8c3bb580b3abf3706c30b0d8d5257128"><div class="ttname"><a href="../../dd/df6/a03713.html#a8c3bb580b3abf3706c30b0d8d5257128">ExpansionBarbedWire::CanPutInCargo</a></div><div class="ttdeci">override bool CanPutInCargo(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a00326_source.html#l00057">expansionbarbedwire.c:57</a></div></div>
<div class="ttc" id="aa03713_html_a9c78ac165eaf2ca3ed2a779e4622810f"><div class="ttname"><a href="../../dd/df6/a03713.html#a9c78ac165eaf2ca3ed2a779e4622810f">ExpansionBarbedWire::EEKilled</a></div><div class="ttdeci">override void EEKilled(Object killer)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a00326_source.html#l00113">expansionbarbedwire.c:113</a></div></div>
<div class="ttc" id="aa03713_html_abda8c675a69f38d3ae5ef426d1f58f85"><div class="ttname"><a href="../../dd/df6/a03713.html#abda8c675a69f38d3ae5ef426d1f58f85">ExpansionBarbedWire::CanBeDamaged</a></div><div class="ttdeci">override bool CanBeDamaged()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a00326_source.html#l00100">expansionbarbedwire.c:100</a></div></div>
<div class="ttc" id="aa03713_html_acc46516548a8a119c1b72a1143d22028"><div class="ttname"><a href="../../dd/df6/a03713.html#acc46516548a8a119c1b72a1143d22028">ExpansionBarbedWire::~ExpansionBarbedWire</a></div><div class="ttdeci">void ~ExpansionBarbedWire()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a00326_source.html#l00030">expansionbarbedwire.c:30</a></div></div>
<div class="ttc" id="aa03713_html_aecfc49269a23826ad1f7b6b32f1eb32d"><div class="ttname"><a href="../../dd/df6/a03713.html#aecfc49269a23826ad1f7b6b32f1eb32d">ExpansionBarbedWire::EOnInit</a></div><div class="ttdeci">override void EOnInit(IEntity other, int extra)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a00326_source.html#l00038">expansionbarbedwire.c:38</a></div></div>
<div class="ttc" id="aa08424_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/a08424_source.html#l00254">expansionsettings.c:254</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_844bf89108e22cf51aae4b5452c2c906.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_a0e24776517e17f620f1adfb86971bb4.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_4995a40041868e6722cdb7419e4f96ba.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_d76d15f1a001f28b24d297fe71ced766.html">basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_b2eeed86d41e07b7ca401ec98dcf69f8.html">misc</a></li><li class="navelem"><a class="el" href="../../dir_cfb7a13ad04af237e187a8f1f9c048c7.html">deployable</a></li><li class="navelem"><a class="el" href="../../d8/d23/a00326.html">expansionbarbedwire.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
